<mat-toolbar class="mat-elevation-z5" [color]="!callService.showCallbar ? 'primary' : ''">
	<button mat-icon-button (click)="actionsService.sidenav?.toggle()">
		<mat-icon>menu</mat-icon>
	</button>
	<h3 class="h3">{{ 'simple.profiles' | translate }}</h3>
	<button mat-icon-button matTooltip="{{ 'simple.addProfile' | translate }}" (click)="profileService.createProfile()">
		<mat-icon>add</mat-icon>
	</button>
</mat-toolbar>
<mat-list>
	<mat-list-item *ngFor="let profile of profileCacheService.userProfilesSubject | async">
		<app-avatar matListIcon [profile]="profile" (click)="selectAvatar(profile)"></app-avatar>
		<h3 matLine>{{ profile.displaynameDecrypted }}</h3>
		<button mat-icon-button matTooltip="{{ 'simple.edit' | translate }}" (click)="profileService.renameProfile(profile)">
			<mat-icon>edit</mat-icon>
		</button>
		<button mat-icon-button matTooltip="{{ 'simple.delete' | translate }}" (click)="profileService.deleteProfile(profile.id)">
			<mat-icon>delete</mat-icon>
		</button>
	</mat-list-item>
</mat-list>

<div class="hidden">
	<input #file hidden type="file" (change)="uploadAvatar($event.target.files)" accept="image/png,image/jpeg" />
</div>
